

:root{
    --main-color:rgb(114, 21, 227);
}


nav.scrolled{
    background:rgba(250, 250, 250, 0.8);
    /* box-shadow:0 5px 20px rgba(0,0,0,0.15); */
}
nav.transparent{
    background: rgba(250, 250, 250, 0.3) !important;
    border-bottom: none;

}


.scrolled #links a{
    color: rgb(43, 43, 43);
}



body{
    background-color: rgb(241, 242, 243);
    margin: 0;
    font-family: "Arimo", sans-serif;    
}

a{
    text-decoration: none;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 10%;
    width: 80%;
    background-color: white;
    position: fixed;

    top: 0;
    left: 0;
    z-index: 100;
    border-bottom: 1px solid lightgray;

    backdrop-filter: blur(3px);
    /* padding: 10px 10%; */
    transition: background 0.4s ease, box-shadow 0.4s ease;
}


nav *{
    margin: 0;
}

nav div{
    display: flex;
    align-items: center;
}

nav #links{
    margin-left: 25px;
}

nav img{
    width: 80px;
}
nav a {
    margin-left: 8px;
    color: rgb(22, 22, 22);
}
nav.transparent a{
    color: rgb(244, 243, 243);
}
nav #links a:hover{
    color: var(--main-color);
}

nav .auth .out a{
    padding: 6px 8px;
    border-radius: 50px;
}
nav .auth .login{
    border: 1px solid var(--main-color);
    color: var(--main-color);
    transition: 0.2s;
    /* box-shadow: 2px 2px 5px lightgray; */

}
nav .auth .login:hover{
    background:var(--main-color); 
    transition: 0.2s;
    color: white;
}
nav .auth .subs{
    border: 1px solid var(--main-color);
    background: linear-gradient(to right, var(--main-color), rgb(171, 72, 242));
    
    transition: 0.2s;
    color: white;
    /* box-shadow: 2px 2px 5px lightgray; */
}
nav.transparent .auth .login{
    border: 1px solid white;
    color: white;
}
nav .auth .subs:hover{
    background-color: rgb(89, 27, 196);
    transition: 0.2s;
}


#ulinks .auth a{
    display: block;
}


.container{
    max-width: 1200px;
    margin: 80px auto;
    padding: 10px;
}

#subs_form{
    max-width: 800px;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 2px 2px 5px lightgray;
    margin: 50px auto 20px;
    background-color: white;
    /* border-top: 5px solid var(--main-color); */
}
.flex{
    display: flex;
    justify-content: space-between;
}
.champ{
    display: inline-block;
    width: 100%;
    margin: 10px 0px;
}
.champ input, .champ select{
    padding: 15px;
    border: 1px solid lightgray;
    display: block;
    margin: 10px 0px;
    width: 100%;
    border-radius: 5px;
    box-sizing: border-box;
}
.md{
    width: 48% !important;
}

#subs_form button{
    padding: 10px 0px;
    text-align: center;
    display: block;
    background-color: var(--main-color);
    color: white;
    border-radius: 5px;
    box-shadow: 3px 3px 10px lightgray;
    transition: 0.3s;
    width: 100%;
    border: none;
    cursor: pointer;
    margin-top: 15px;
}
#subs_form button:hover{
    background-color:  rgb(148, 21, 198);
    transition: 0.3s;
}

#subs_form small{
    margin-top: 20px;
    display: block;
    color: rgb(36, 36, 36);
    text-align: center;
}

/* login form */

#login_form{
    max-width: 500px;
    background-color: white;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 2px 3px 5px lightgray;
    margin: -150px auto 20px;
    /* border: 1px solid var(--main-color); */
}
#login_form button{
    padding: 10px 0px;
    text-align: center;
    display: block;
    background-color: var(--main-color);
    color: white;
    border-radius: 5px;
    box-shadow: 3px 3px 10px lightgray;
    transition: 0.3s;
    width: 100%;
    border: none;
    cursor: pointer;
    margin: 10px 0px;
}
#login_form button:hover{
    background-color:  rgb(148, 21, 198);
    transition: 0.3s;
}
.err{
    color: rgb(90, 0, 0);
    background-color: rgb(249, 224, 224);
    padding: 10px;
    margin: 10px 0px;
    border: 1px solid rgb(90, 0, 0);
    text-align: center;
    border-radius: 5px;
    display: none;
}


.success{
    color: rgb(1, 64, 1);
    background-color: rgb(223, 251, 223);
    border: rgb(0, 65, 0);
    text-align: center;
    padding: 10px;
    margin: 10px 0px;
    border-radius: 5px;
    display: none;
}

#offre-banner{
    background-image: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.2)), url("../imgs/offre-banner.jpg");
    width: 100%;
    height: 300px;
    background-position: bottom;
    background-size: cover;
    display: flex;
    align-items: flex-end;
    /* margin-top: 50px; */
}
#offre-banner div{
    max-width: 1200px ;
    margin: auto;
    color: white;
}

.offre-container{
    display: flex;
    align-items: flex-start;
    
}
.offre-vertnav{
    max-width:260px;
    width: 30%;
    padding: 10px;
    box-shadow: 2px 2px 5px lightgray;
    border-radius: 5px;
    background-color: white;
}
.offre-vertnav h2{
    color: black;
    font-size: 20px;
}
.offre-result{
    padding: 10px;
    margin-left: 10px;
    width: 70%;
}
.offreicone{
    padding-bottom: 10px;
    border-bottom: 1px solidl lightgray;
    display: none;
}

.offre-filter-hidden{
    width: 240px;
    background-color: white;
    position: fixed;
    left: -260px;
    padding: 20px;
    /* left: 0px; */
    top: 60px;
    height: 100%;
    z-index: 50;
}
.offre-voile{
    background-color: #0000005e;
    position: fixed;
    top: 60px;
    width: 100%;
    height: 100%;
    z-index: 40;
    display: none;
}


.offreimgcontainer{
    width: 100%;
    height: 200px;
    
    display: none;
}
.offreicone i{
    padding: 10px;
    color: rgb(29, 29, 29);
    font-size: 30px;
    background-color: transparent;
    border: 1px solid rgb(21, 21, 21);
    transition: 0.3s;
}
.offreicone i:hover{
    cursor: pointer;
    transition: 0.3s;
    background-color: rgb(34, 34, 34);
    color: white;
}
.offre-vertnav button, .offre-filter-hidden button{
    border: none;
    background: linear-gradient(to right, var(--main-color), purple) ;
    color: white;
    /* color: white; */
    border-radius: 5px;
    padding: 10px 0px;
    text-align: center;
    display: block;
    width: 100%;
    transition: 0.3s;
    box-shadow: 2px 3px 3px lightgray;
}
.offre-vertnav button:hover{
    background: linear-gradient(to right, var(--main-color), rgb(83, 0, 128)) ;
    cursor: pointer;
    transition: 0.3s;
    color: white;
}
.offre{
    background-color: white;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 3px 3px 10px lightgray;
    display: flex;
    align-items: flex-start;
    margin: 0px 0px 10px 0px;
    width: 100%;
}
.offre img{
    width: 200px;
    border-radius: 5px;
}
.offre-desc{
    margin-left: 20px;
}
.offre-free{
    font-size: 14px;
    color: green;
    background-color: rgb(217, 255, 217);
    border-radius: 50px;
    padding: 5px 7px;
    border: 1px solid green;
    width: fit-content;
}
.offre-title a{
    color: inherit;
}
.offre-title{
    color: rgb(0, 106, 188);
    text-decoration: underline;
}
.offre-subtitle{
    color: rgb(0, 145, 255);
}
.offre-desc{
    color: rgb(66, 66, 66);
}

.detail-offre{
    background-color: white;
    box-shadow: 2px 2px 10px lightgray;
    padding: 10px;
    border-radius: 5px;
}

.detail-offre .fond{
    background-position:center ;
    background-size: cover;
    display: flex;
    justify-content: left;
    align-items: flex-end;
    border-radius: 5px;
    height: 250px;
    padding: 10px;
}
.detail-offre .fond h2{
    color: white;
}

#enroll{
    margin-top: 20px;
    text-align: center;
    display: none;
}
#enroll button{
    display: block;
    cursor: pointer;
    padding: 10px;
    font-size: 20px;
    margin: 20px auto;
    /* box-shadow: 2px 3px 3px lightgray; */
    border-radius: 5px;
    transition: 0.3s;

    color: white;
    border: none;
    background: linear-gradient(90deg, #fff, rgb(145, 40, 243), #0ff, #fff);
    background-size: 300%;
    animation: glowMove 3s linear infinite;
    text-shadow: 0 0 10px rgb(141, 73, 249), 0 0 20px rgb(151, 78, 254), 0 0 40px rgb(151, 18, 246);
}
#enroll button:hover{
    font-size: 24px;
    transition: 0.3s;
    padding: 15px;
    box-shadow: 10px 15px 30px lightgray;
}
#enroll_encours{
    padding: 15px;
    color: rgb(0, 79, 128);
    background-color: rgb(189, 231, 242);
    border-radius: 10px;
    margin: 20px auto;
    /* max-width: 600px ; */
    text-align: center;
    font-size: 18px;
    border-top: 3px solid rgb(0, 68, 128);
    box-shadow: 2px 3px 3px lightgray;
    display: none;
}
#success_enroll{
    text-align: center;

    padding: 15px;
    color: green;
    background-color: rgb(197, 244, 197);
    border-radius: 10px;
    margin: 20px auto;
    /* max-width: 600px ; */
    font-size: 18px;
    border-top: 3px solid green;
    box-shadow: 2px 3px 3px lightgray;
    display: none;
}

#barre_violet{
    padding: 10px 10px;
    background: linear-gradient(to bottom, rgb(24, 0, 62), rgb(65, 0, 140));
}
#barre_violet section{
    max-width: 500px;
    color: white;
    margin: auto;
    padding: 80px 10px;
}
#barre_violet h1{
    font-size: 40px;
    text-shadow: 2px 2px 5px black;
    letter-spacing: 1px;
}

#has_inscription{
    text-align: center;

    padding: 15px;
    color: rgb(8, 36, 56);
    background-color: rgb(224, 233, 239);
    border-radius: 10px;
    margin: 20px auto;
    /* max-width: 600px ; */
    font-size: 18px;
    border-top: 3px solid rgb(144, 188, 250);
    box-shadow: 2px 3px 3px lightgray;
    display: none;
}
@keyframes glowMove {
  0% {
    background-position: 0%;
  }
  100% {
    background-position: 300%;
  }
}


















#burger {
    width: 35px;
    height: 30px;
    /* display: flex;
    flex-direction: column;
    justify-content: space-between; */
    cursor: pointer;
    display: none;
    
}

#burger div {
    height: 4px;
    background-color: #000;
    border-radius: 2px;
    transition: all 0.4s ease;
    margin: 4px 0px;
}

/* Lorsque le burger est actif */
#burger.active div:nth-child(1) {
    transform: rotate(43deg) translate(6px, 6px);
}

#burger.active div:nth-child(2) {
    opacity: 0;
}

#burger.active div:nth-child(3) {
    transform: rotate(-43deg) translate(6px, -6px);
}

.subs_a:hover, .login_a:hover{
    box-shadow: 0px 0px 10px lightgray;
    transform: scale(1.04);
    transition: 0.3s;
}



#ulinks{
    position: fixed;
    top: 64px;
    padding: 15px 10%;
    /* background-color: rgb(245, 245, 245); */
    left: 0;
    width: 80%;
    z-index: 500;
    height: 100%;
    display: none;
    background: rgba(247, 247, 247, 0.7); /* obligatoire */
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}
#ulinks a{
    display: block;
    margin: 10px 0px;
    color: rgb(52, 52, 52);
    padding-bottom: 10px;
    transition: 0.3s;
    border-bottom: 1px solid rgb(45, 45, 45);
    text-align: left;
    /* width: fit-content; */
}

#ulinks a:hover{
    color: rgb(24, 24, 24);
    transition: 0.3s;
}






#banner{
    background:linear-gradient(rgba(14, 14, 14, 0.85), rgba(22, 4, 40, 0.5) ), url('../imgs/banner.jpg') ;
    height: 600px;
    margin-top: 0px;
    background-position: center;
    background-size: cover;
}

#banner div{
    /* padding-top: 100px; */
    text-align: center;
    max-width: 600px;
    margin: auto;
    padding: 150px 15px 10px;
}
#banner div h1{
    text-shadow: 2px 2px 2px black;
    letter-spacing: 1px;
    color: white;
    font-size: 40px;
}
#banner div p {
    color: rgb(194, 194, 194);
}
#banner div a{
    padding: 10px 20px;
    display: block;
    width: fit-content;
    /* margin-top: 10px; */
    border: 1px solid white;
    color: white;
    transition: 0.2s;
    text-decoration: none;
    margin: 15px auto;
}
#banner div a:hover{
    color: black;
    background-color: white;
    transition: 0.2s;
}



#stats {
   display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 80px 20px;
    /* background: radial-gradient(circle at center, #7b2ff7 0%, #3a0ca3 70%); */
    background: radial-gradient(circle at top, #8e44ff, #2a0066 60%);
    color: white;
    text-align: center;
    flex-wrap: wrap;
}

.stat-box {
    margin: 20px;
}
.stat-box i{
    font-size: 40px;
}

.stat-box h2 {
    font-size: 40px;
    margin-bottom: 10px;
}

.stat-box p {
    font-size: 18px;
}



#subjects {
    padding: 80px 20px;
    text-align: center;
    background: #ffffff;
}

#subjects h2 {
    font-size: 32px;
    margin-bottom: 50px;
}

.subjects-container {
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.subject-box {
    background: #f3f3f3;
    width: 220px;
    padding: 30px;
    border-radius: 12px;
    transition: 0.3s;
}

.subject-box:hover {
    background: #6a0dad;
    color: white;
    transform: translateY(-8px);
}

.subject-box i {
    font-size: 35px;
    margin-bottom: 15px;
}





#about-platform {
    padding: 80px 8%;
    background: #f8f9fa;
}

.about-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
}

/* TEXT */
.about-text {
    /* text-align: right; */
    flex: 1;
}

.about-text h2 {
    font-size: 36px;
    margin-bottom: 20px;
}

.about-text p {
    font-size: 18px;
    line-height: 1.8;
    margin-bottom: 20px;
    color: #555;
}

.about-btn {
    display: inline-block;
    padding: 12px 25px;
    background: #6a0dad;
    color: white;
    text-decoration: none;
    border-radius: 8px;
    transition: 0.3s;
}

.about-btn:hover {
    background: #4b0082;
}

/* IMAGE */
.about-image {
    flex: 1;
    text-align: right;
}

.about-image img {
    width: 100%;
    max-width: 450px;
    border-radius: 10px;
    box-shadow: 0 15px 35px rgba(0,0,0,0.1);
}









#why-us {
    padding: 80px 20px;
    text-align: center;
    background: #f8f9fa;
}

#why-us h2 {
    font-size: 32px;
    margin-bottom: 50px;
}

.features {
    /* display: flex;
    justify-content: center; */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: auto;
}


.notes{
    text-align: left;
    margin-top: 15px;
}
.notes i{
    font-size: 14px;
    color: rgb(172, 171, 171);
}
.notes .golden{
    color: rgb(241, 195, 42) !important;
}
.feature-box {
    background: white;
    padding: 30px;
    /* width: 250px; */
    width: 100%;
    box-sizing: border-box;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.08);
    transition: 0.3s;
}

.feature-box:hover {
    transform: translateY(-10px);
}

.feature-box i {
    font-size: 35px;
    margin-bottom: 15px;
    color: #6a0dad;
}




#teachers {
    padding: 100px 8%;
    background: #f8f9fa;
    text-align: center;
}

#teachers h2 {
    font-size: 34px;
    margin-bottom: 60px;
}

.teachers-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

/* CARD */
.teacher-card {
    background: white;
    padding: 25px;
    border-radius: 15px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.08);
    transition: 0.3s;
}

.teacher-card:hover {
    transform: translateY(-10px);
}

.teacher-card img {
    width: 120px;
    height: 120px;
    object-fit: cover;
    border-radius: 50%;
    margin-bottom: 15px;
}

.teacher-card h3 {
    margin-bottom: 8px;
    font-size: 20px;
}

.teacher-card p {
    color: #666;
    font-size: 16px;
}










/* ============================= */
/* Destination  */
/* ============================= */

#dest{
    max-width: 1300px;
    margin: 50px auto;
    padding: 10px;
}
#dest h2{
    text-align: center !important;
    font-size: 30px;
}
.dest-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 2;
    gap: 10px;
   
}
.dest-box{
    /* max-width: 500px; */
    min-width: 300px;
    height: 200px;
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    border-radius: 5px;
}
.dest-box h3{
    text-shadow: 1px 1px 2px black;
    letter-spacing: 1px;
    font-size: 30px;
}

#dest-france{
    background-image: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)), url('../imgs/dest-france.jpg');
}

#dest-italy{
    background-image: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)), url('../imgs/dest-ilaty.jpg');
}
#dest-spain{
    background-image: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)), url('../imgs/dest-spain.jpg');
}
#dest-hongrie{
    background-image: linear-gradient(rgba(0,0,0,0.4), rgba(0,0,0,0.4)), url('../imgs/dest-hongrie.jpg');
}
/* Destination  */











/* ============================= */
/* SECTION REVIEWS */
/* ============================= */

.reviews-section {
    padding: 60px 40px;
}

#reviews .slick-slide {
    padding: 30px 30px 30px 30px; /* top right bottom left */
    box-sizing: border-box;
}

/* corrige le débordement */
#reviews .slick-list {
    margin: -5px;
}

/* corrige le débordement causé par le padding */
#reviews .slick-list {
    margin: -5px;
}

#reviews .slick-slide > div > div {
    margin-bottom: 10px;  /* ajuste 10px à ton goût */
}

/* ============================= */
/* CARD DESIGN */
/* ============================= */

.review-card {
    background: #ffffff;
    border-radius: 16px;
    padding: 20px;
    box-shadow: 0 5px 20px rgba(0,0,0,0.05);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    height: 100%;
}

.review-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 15px 35px rgba(0,0,0,0.08);
}

/* ============================= */
/* HEADER USER */
/* ============================= */

.review-header {
    
    margin-bottom: 15px;
    /* text-align: right; */
}

.review-header img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    object-fit: cover;
}

.review-card p {
    font-size: 14px;
    color: #555;
    text-align: left;

    line-height: 1.6;
}
.review-card h4{
    margin: 5px 0px;
}
.review-card span{
    font-size: 12px;
}

.subject-btn, .dest-btn{
    padding: 10px;
    display: block;
    width: fit-content;

    border-radius: 50px;
    border: 1px solid rgb(110, 18, 223);
    color: rgb(110, 18, 223);
    margin: 20px auto;
    text-decoration: none;
    font-size: 20px;
    transition: 0.3s;
}
.subject-btn:hover{
    transition: 0.3s;
    color: white;
    background-color: rgb(110, 18, 223);
    box-shadow: 0px 0px 10px lightgray;
    transform: scale(1.05);
}



.footer {
    background-color: #1f1f1f;
    color: #fff;
    padding: 40px 20px 20px;
    /* font-family: sans-serif; */
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
    max-width: 1200px;
    margin: auto;
}
.footer-container > div{
    max-width: 340px;
}

.footer-logo img {
    width: 120px;
    margin-bottom: 10px;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li {
    margin-bottom: 8px;
}

.footer-links ul li a {
    color: #fff;
    text-decoration: none;
}

.footer-links ul li a:hover {
    text-decoration: underline;
}



.social-icons a {
    color: #fff;
    font-size: 24px;
    margin-right: 15px;
    transition: color 0.3s;
}

.social-icons a:hover {
    color: #f0a500;
}

.footer-bottom {
    text-align: center;
    margin-top: 20px;
    font-size: 14px;
    border-top: 1px solid #444;
    padding-top: 10px;
}

.footer-container p{
    color: rgb(208, 208, 208);
    font-size: 14px;
}



/* services page */


#banner-service{
    background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.2)), url('../imgs/banner3.jpg');
    background-position: center;
    background-size: cover;
    padding: 50px 10px;
    margin-top: 70px;
}
#services-page {
    padding: 60px 10%;
    /* background-color: #f9f9f9; */
}

.services-header {
    text-align: center;
    color: white;
    margin-bottom: 50px;
}

.services-header h1 {
    font-size: 2.5rem;
    color: #eeeeee;
}

.steps-container {
    /* display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px; */
}

.step-card {
    background: #fff;
    padding: 40px 30px;
    border-radius: 15px;
    position: relative;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
    transition: transform 0.3s ease;
    margin: 10px 0px;
}

.step-card:hover {
    transform: translateY(-10px);
}

.step-number {
    position: absolute;
    top: -15px;
    right: 20px; /* À gauche si dir="ltr" */
    background: #9066f9; /* Remplace par ta couleur d'agence */
    color: #fff;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-weight: bold;
    font-size: 1.2rem;
    box-shadow: 0 4px 10px rgba(52, 152, 219, 0.3);
}

.step-content i {
    font-size: 2.5rem;
    color: #9066f9;
    margin-bottom: 20px;
}

.step-content h3 {
    margin-bottom: 15px;
    font-size: 1.4rem;
    color: #222;
}

.step-content p {
    color: #666;
    line-height: 1.6;
    font-size: 0.95rem;
}

/* Version Mobile */
@media (max-width: 768px) {
    #services-page {
        padding: 40px 5%;
    }
}

#map{
    height: 600px;

}
#map iframe{
    width: 100%;
    height:100%;
}
.centerh2{
    text-align: center;
    margin: 20px auto;
    width: fit-content;
    text-shadow: 1px 1px 2px lightgray;
}
.trait{
    /* border-bottom: 2px solid rgb(124, 19, 199); */
    padding: 2px;
    background-color: rgb(104, 0, 189);
    border-radius: 10px;
    width: 50px;
    margin-top: 15px;
}